Loading...
Searching...
No Matches
file_info Struct Reference

`#include <viz.h>`

Collaboration diagram for file_info:
[legend]

## Data Fields

int | token
void * | g3mapin
void * | g3mapout
FILE * | datainfp
FILE * | dataoutfp
FILE * | dspfinfp
FILE * | dspfoutfp
int | xdim
int | ydim
int | zdim
float | north
float | south
float | east
float | west
float | top
float | bottom
float | ns_res
float | ew_res
float | tb_res
int | zone
int | proj
int | type
float | min
float | max
long | Dataoff
long | Lookoff
cmndln_info | linefax
int | headsize

## Detailed Description

Definition at line 27 of file viz.h.

## Field Documentation

## bottom

float file_info::bottom

Definition at line 34 of file viz.h.

Referenced by print_head_info().

## datainfp

FILE* file_info::datainfp

Definition at line 30 of file viz.h.

## Dataoff

long file_info::Dataoff

Definition at line 40 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), dfwrite_header(), new_dspf(), and reset_reads().

## dataoutfp

FILE * file_info::dataoutfp

Definition at line 30 of file viz.h.

## dspfinfp

FILE* file_info::dspfinfp

Definition at line 31 of file viz.h.

Referenced by dfread_header(), new_dspf(), read_cube(), and reset_reads().

## dspfoutfp

FILE * file_info::dspfoutfp

Definition at line 31 of file viz.h.

Referenced by dfwrite_header(), and write_cube_buffer().

## east

float file_info::east

Definition at line 33 of file viz.h.

Referenced by print_head_info().

## ew_res

float file_info::ew_res

Definition at line 35 of file viz.h.

Referenced by print_head_info().

## g3mapin

void* file_info::g3mapin

Definition at line 29 of file viz.h.

## g3mapout

void * file_info::g3mapout

Definition at line 29 of file viz.h.

## headsize

int file_info::headsize

Definition at line 43 of file viz.h.

## linefax

cmndln_info file_info::linefax

Definition at line 42 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), dfwrite_header(), read_cube(), and write_cube().

## Lookoff

long file_info::Lookoff

Definition at line 41 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), and dfwrite_header().

## max

float file_info::max

Definition at line 39 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), dfwrite_header(), and print_head_info().

## min

float file_info::min

Definition at line 39 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), dfwrite_header(), and print_head_info().

## north

float file_info::north

Definition at line 33 of file viz.h.

Referenced by print_head_info().

## ns_res

float file_info::ns_res

Definition at line 35 of file viz.h.

Referenced by print_head_info().

## proj

int file_info::proj

Definition at line 37 of file viz.h.

## south

float file_info::south

Definition at line 33 of file viz.h.

Referenced by print_head_info().

## tb_res

float file_info::tb_res

Definition at line 35 of file viz.h.

Referenced by print_head_info().

## token

int file_info::token

Definition at line 28 of file viz.h.

## top

float file_info::top

Definition at line 34 of file viz.h.

Referenced by print_head_info().

## type

int file_info::type

Definition at line 38 of file viz.h.

## west

float file_info::west

Definition at line 33 of file viz.h.

Referenced by print_head_info().

## xdim

int file_info::xdim

Definition at line 32 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), dfwrite_header(), print_head_info(), and write_cube_buffer().

## ydim

int file_info::ydim

Definition at line 32 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), dfwrite_header(), and print_head_info().

## zdim

int file_info::zdim

Definition at line 32 of file viz.h.

Referenced by dfread_header(), dfread_header_old(), dfwrite_header(), and print_head_info().

## zone

int file_info::zone

Definition at line 36 of file viz.h.

The documentation for this struct was generated from the following file:

- viz.h